PETSc version 3.15.5
Fix/Edit manual page

# TaoADMMSetRegularizerConstraintJacobian

Set the constraint matrix B for ADMM algorithm. Matrix B constraints z variable.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetRegularizerConstraintJacobian(Tao tao, Mat J, Mat Jpre, PetscErrorCode (*func)(Tao, Vec, Mat, Mat, void*), void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao solver context
| J | - user-created regularizer constraint Jacobian matrix
| Jpre | - user-created regularizer Jacobian constraint preconditioner matrix
| func | - function pointer for the regularizer constraint Jacobian update function
| ctx | - user context for the regularizer Hessian

### See Also

TaoADMMSetRegularizerCoefficient(), TaoADMMSetMisfitConstraintJacobian(), TAOADMM

### Level

advanced

### Location

src/tao/constrained/impls/admm/admm.c

### Examples

src/tao/constrained/tutorials/tomographyADMM.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages